! Programa que calcula o valor da expressao y = x**2 - 2x + 3, para diferentes valores de x.

program valor_expressao_y
    implicit none
    integer x, y
    
	write (*,*) "Programa que calcula o valor da expressao y = x**2 - 2x + 3, para diferentes valores de x."
    write (*,*)

    x = 1 
    y = x **2 - 2 * x + 3
    write (*,*) "Para x =",  x,  "   y = ",  y

    x = 2 
    y = x **2 - 2 * x + 3
    write (*,*) "Para x =",  x,  "   y = ",  y

    x = 3 
    y = x **2 - 2 * x + 3
    write (*,*) "Para x =",  x,  "   y = ",  y

    stop
end program valor_expressao_y    